Name:		dnstracer
Version:	1.10
Release:	%mkrel 2
Summary:	Trace a DNS record to its start of authority

License:	BSD
Group:		Networking/Other
URL:		https://www.mavetju.org/unix/dnstracer.php
Source0:	https://www.mavetju.org/download/%{name}-%{version}.tar.bz2
Patch0:		debug_tracer.patch


BuildRequires:	gcc
BuildRequires:	make

%description
dnstracer determines where a given Domain Name Server (DNS) gets its
information from, and follows the chain of DNS servers back to the
servers which know the data.

%description -l fr
dnstracer détermine où un Serveur de Nom de Domaine (DNS) donné obtient
ses informations, et remonte la chaîne des serveurs DNS jusqu'au serveur
détenant les données.

%prep
%autosetup -p1 -n %{name}

%build
%make_build

%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_mandir}/man8
%make_install PREFIX=%{buildroot}%{_prefix} MANPREFIX=%{buildroot}%{_mandir}/man8/

%files
%license LICENSE
%doc CHANGES CONTACT README
%{_bindir}/%{name}
%{_mandir}/man8/%{name}.8*


%changelog
* Sat Jun 28 2025 umeabot <umeabot> 1.10-2.mga10
+ Revision: 2215095
- Mageia 10 Mass Rebuild

* Wed Aug 17 2022 pol4n <pol4n> 1.10-1.mga9
+ Revision: 1878369
- New version 1.10

* Tue Mar 15 2022 umeabot <umeabot> 1.9-8.mga9
+ Revision: 1791826
- Mageia 9 Mass Rebuild

* Thu Feb 13 2020 umeabot <umeabot> 1.9-7.mga8
+ Revision: 1511907
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 1.9-6.mga7
+ Revision: 1297476
- Mageia 7 Mass Rebuild

* Sat Jan 16 2016 daviddavid <daviddavid> 1.9-5.mga6
+ Revision: 923527
- switch to %%configure2_5x to fix build

* Wed Oct 15 2014 umeabot <umeabot> 1.9-4.mga5
+ Revision: 750294
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.9-3.mga5
+ Revision: 726142
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.9-2.mga5
+ Revision: 678781
- Mageia 5 Mass Rebuild

* Tue Oct 22 2013 juancho <juancho> 1.9-1.mga4
+ Revision: 541304
- imported package dnstracer


* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Aug 16 2012 Matthieu Saulnier <fantom@fedoraproject.org> - 1.9-8
- Add French translation in spec file

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jun 21 2012 Matthieu Saulnier <fantom@fedoraproject.org> - 1.9-6
- cleanup spec file

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Oct 11 2008 Ray Van Dolson <rayvd@fedoraproject.org> - 1.9-1
- Initial creation
